Page MenuHomePhabricator

Make ForeignStructuredUpload actually configurable
Closed, ResolvedPublic

Description

We should make ForeignStructuredUpload actually configurable; we took a couple of shortcuts in the implementation. Not only for third-party wikis, but even for Wikimedia's own ones – for example, it's impossible to correctly configure uploads from Commons to Commons right now (T120998).

Details

Related Gerrit Patches:

Event Timeline

matmarex raised the priority of this task from to Needs Triage.
matmarex updated the task description. (Show Details)
matmarex added a project: MediaWiki-Uploading.
matmarex added a subscriber: matmarex.
Restricted Application added a project: Multimedia. · View Herald TranscriptDec 16 2015, 11:43 AM
Restricted Application added subscribers: StudiesWorld, Steinsplitter, Aklapper. · View Herald Transcript
Restricted Application added a subscriber: Matanya. · View Herald TranscriptDec 16 2015, 11:45 AM
MarkTraceur triaged this task as Low priority.Dec 21 2015, 8:56 PM
MarkTraceur added a subscriber: MarkTraceur.

Change 287103 had a related patch set uploaded (by Bartosz Dziewoński):
[WIP] Refactor upload dialog to make it configurable

https://gerrit.wikimedia.org/r/287103

matmarex claimed this task.May 9 2016, 3:47 PM
matmarex raised the priority of this task from Low to High.
matmarex added a project: MW-1.27-release.

I'm working on this now to hopefully get it into MW 1.27.

Change 287103 merged by jenkins-bot:
Refactor upload dialog to make it configurable

https://gerrit.wikimedia.org/r/287103

Change 289126 had a related patch set uploaded (by Bartosz Dziewoński):
Refactor upload dialog to make it configurable

https://gerrit.wikimedia.org/r/289126

Change 289126 merged by jenkins-bot:
Refactor upload dialog to make it configurable

https://gerrit.wikimedia.org/r/289126